aboutsummaryrefslogtreecommitdiff
path: root/bootstrap-docbuilder
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap-docbuilder')
-rwxr-xr-xbootstrap-docbuilder30
1 files changed, 30 insertions, 0 deletions
diff --git a/bootstrap-docbuilder b/bootstrap-docbuilder
new file mode 100755
index 0000000..f9fa6f7
--- /dev/null
+++ b/bootstrap-docbuilder
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Bootstrap the Taler setup for the user account that
+# is currently logged in.
+
+# Generates a setup for a single user,
+# including a postgresql DB.
+
+set -eu
+
+BRANCH=master
+REPOS="bank merchant exchange deployment backoffice api merchant-frontend-examples"
+
+cd $HOME
+
+for component in $REPOS; do
+ if ! test -d $HOME/$component; then
+ git clone git://git.taler.net/$component.git
+ fi
+done
+
+for component in $REPOS; do
+ echo "Checking out $component to $BRANCH"
+ git -C $HOME/$component checkout $BRANCH
+done
+
+mkdir stamps
+
+ln -sf ../deployment/taler-docbuild/Makefile stamps/
+ln -sf ../deployment/taler-docbuild/invalidate.sh stamps/